%define upstream_name Structures_DataGrid_Renderer_Smarty
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.5
Release:     	%mkrel 8
Summary:    	Renderer driver using Smarty
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Structures_DataGrid_Renderer_Smarty-%{version}.tgz
URL:		 http://pear.php.net/package/Structures_DataGrid_Renderer_Smarty
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Structures_DataGrid >= 0.9.0
Requires:	php-pear-Structures_DataGrid_Renderer_Pager >= 0.1.0
Requires:	php-pear >= 1.4.9
BuildArch: 	noarch

%description
This is a Rendering driver for Structures_DataGrid using Smarty. 
 It adds the necessary variables and functions to a Smarty instance, in
order 
 to build a full-featured DataGrid within a Smarty template.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Structures_DataGrid_Renderer_Smarty.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Structures_DataGrid_Renderer_Smarty.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Structures_DataGrid_Renderer_Smarty
fi

%files
%{peardir}/*
%{xmldir}/Structures_DataGrid_Renderer_Smarty.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.5-8.mga8
+ Revision: 1499177
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.5-7.mga7
+ Revision: 1273943
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.5-6.mga6
+ Revision: 947760
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-5.mga5
+ Revision: 749027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 687473
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.5-3.mga4
+ Revision: 517231
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.5-2.mga3
+ Revision: 377296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 0.1.5-1.mga2
+ Revision: 198903
- imported package php-pear-Structures_DataGrid_Renderer_Smarty

